Loading...
Searching...
No Matches
sdbus::Properties_proxy Class Referenceabstract

## Public Member Functions

| Properties_proxy (const Properties_proxy &)=delete
Properties_proxy & | operator= (const Properties_proxy &)=delete
| Properties_proxy (Properties_proxy &&)=delete
Properties_proxy & | operator= (Properties_proxy &&)=delete
Variant | Get (const InterfaceName &interfaceName, const PropertyName &propertyName)
Variant | Get (std::string_view interfaceName, std::string_view propertyName)
template<typename Function>
PendingAsyncCall | GetAsync (const InterfaceName &interfaceName, const PropertyName &propertyName, Function &&callback)
template<typename Function>
Slot | GetAsync (const InterfaceName &interfaceName, const PropertyName &propertyName, Function &&callback, return_slot_t)
std::future< Variant > | GetAsync (const InterfaceName &interfaceName, const PropertyName &propertyName, with_future_t)
Awaitable< Variant > | GetAsync (const InterfaceName &interfaceName, const PropertyName &propertyName, with_awaitable_t)
template<typename Function>
PendingAsyncCall | GetAsync (std::string_view interfaceName, std::string_view propertyName, Function &&callback)
template<typename Function>
Slot | GetAsync (std::string_view interfaceName, std::string_view propertyName, Function &&callback, return_slot_t)
std::future< Variant > | GetAsync (std::string_view interfaceName, std::string_view propertyName, with_future_t)
Awaitable< Variant > | GetAsync (std::string_view interfaceName, std::string_view propertyName, with_awaitable_t)
void | Set (const InterfaceName &interfaceName, const PropertyName &propertyName, const Variant &value)
void | Set (std::string_view interfaceName, const std::string_view propertyName, const Variant &value)
void | Set (const InterfaceName &interfaceName, const PropertyName &propertyName, const Variant &value, dont_expect_reply_t)
void | Set (std::string_view interfaceName, const std::string_view propertyName, const Variant &value, dont_expect_reply_t)
template<typename Function>
PendingAsyncCall | SetAsync (const InterfaceName &interfaceName, const PropertyName &propertyName, const Variant &value, Function &&callback)
template<typename Function>
Slot | SetAsync (const InterfaceName &interfaceName, const PropertyName &propertyName, const Variant &value, Function &&callback, return_slot_t)
std::future< void > | SetAsync (const InterfaceName &interfaceName, const PropertyName &propertyName, const Variant &value, with_future_t)
Awaitable< void > | SetAsync (const InterfaceName &interfaceName, const PropertyName &propertyName, const Variant &value, with_awaitable_t)
template<typename Function>
PendingAsyncCall | SetAsync (std::string_view interfaceName, std::string_view propertyName, const Variant &value, Function &&callback)
template<typename Function>
Slot | SetAsync (std::string_view interfaceName, std::string_view propertyName, const Variant &value, Function &&callback, return_slot_t)
std::future< void > | SetAsync (std::string_view interfaceName, std::string_view propertyName, const Variant &value, with_future_t)
Awaitable< void > | SetAsync (std::string_view interfaceName, std::string_view propertyName, const Variant &value, with_awaitable_t)
std::map< PropertyName, Variant > | GetAll (const InterfaceName &interfaceName)
std::map< PropertyName, Variant > | GetAll (std::string_view interfaceName)
template<typename Function>
PendingAsyncCall | GetAllAsync (const InterfaceName &interfaceName, Function &&callback)
template<typename Function>
Slot | GetAllAsync (const InterfaceName &interfaceName, Function &&callback, return_slot_t)
std::future< std::map< PropertyName, Variant > > | GetAllAsync (const InterfaceName &interfaceName, with_future_t)
Awaitable< std::map< PropertyName, Variant > > | GetAllAsync (const InterfaceName &interfaceName, with_awaitable_t)
template<typename Function>
PendingAsyncCall | GetAllAsync (std::string_view interfaceName, Function &&callback)
template<typename Function>
Slot | GetAllAsync (std::string_view interfaceName, Function &&callback, return_slot_t)
std::future< std::map< PropertyName, Variant > > | GetAllAsync (std::string_view interfaceName, with_future_t)
Awaitable< std::map< PropertyName, Variant > > | GetAllAsync (std::string_view interfaceName, with_awaitable_t)

## Protected Member Functions

| Properties_proxy (IProxy &proxy)
void | registerProxy ()
virtual void | onPropertiesChanged (const InterfaceName &interfaceName, const std::map< PropertyName, Variant > &changedProperties, const std::vector< PropertyName > &invalidatedProperties)=0

The documentation for this class was generated from the following file:

- include/sdbus-c++/StandardInterfaces.h